<?php
/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package yourstyle+
 */

$ysp_template_layout = 'normal';
do_action('ysp_content_layout_start');
?>

    <?php if (have_posts()) : ?>

        <header class="page-header">
            <h1 class="page-title">
                <?php
                    /* translators: %s: search query. */
                    printf(esc_html__('Search Results for: %s', YSP_TEXT_DOMAIN), '<span>' . get_search_query() . '</span>');
                ?>
            </h1>
        </header><!-- .page-header -->

        <?php
        /* Start the Loop */
        while (have_posts()) :
            the_post();

            /**
             * Run the loop for the search to output the results.
             * If you want to overload this in a child theme then include a file
             * called content-search.php and that will be used instead.
             */
            // get_part('content', 'search');
            ?>

            <a class="ysp-custom-search-item" href="<?php the_permalink(); ?>">
                <article id="post-<?php the_ID(); ?>" <?php echo post_class('loop-item'); ?>>
                    
                    <div class="post-excerpt">
                        <div class="h3 excerpt-title"><?php the_title(); ?></div>
                        <?php
                            $posttype = get_post_type(get_the_ID());
                            $posttype = get_post_type_object($posttype);
                            $posttype = $posttype->labels;
                        ?>
                        <div class="post-type"><?php echo $posttype->singular_name; ?></div>
                        <?php if (YSP_SEARCH_SETUP_SHOW_EXCERPT == TRUE) : ?>
                        <div class="excerpt-text"><?php the_excerpt(); ?></div>
                        <?php endif; ?>
                    </div>
            
                </article>
            </a>

            <?php

        endwhile;

        if ( ysp_get_option('ysp-blog-pagination') ) :
            ysp_pagination();
        endif;

    else :

        get_part('content', 'none');

    endif;
    ?>

<?php
do_action('ysp_content_layout_end');
