<?php
/*	Plugin Name:	Your-Style + Search
	Plugin URL:		http://your-style.nl
	Description:	Custom search function for Your-Style +
	Author:			Your-Style
	Version:		1.0.0
	Author URI:		http://your-style.nl
	Text Domain:	ysp-search
	License:		GPLv2
*/

__('Custom search function for Your-Style +', 'ysp-search');

define('YSP_SEARCH_PLUGIN_PATH', plugin_dir_path(__FILE__));
define('YSP_SEARCH_SETUP_SHOW_EXCERPT', FALSE);

load_plugin_textdomain('ysp-search', false, dirname( plugin_basename( __FILE__ ) ) . '/lang/');

add_filter('template_include', 'ysp_custom_search_template');
function ysp_custom_search_template($template) {
    global $wp_query;
    if (!$wp_query->is_search) {
        return $template;
    } else {
        return YSP_SEARCH_PLUGIN_PATH . '/template/search.php';
    }
}

add_action('wp_enqueue_scripts', 'ysp_custom_search_styles', 10);
function ysp_custom_search_styles() {
	wp_enqueue_style('ysp_custom_search_style', plugins_url() . '/' . dirname(plugin_basename(__FILE__ )) . '/assets/css/style.css', false);
}

add_shortcode('ysp-searchform', 'ysp_sc_searchform');
function ysp_sc_searchform() {
    $output = '<div class="ysp_sc_searchform">';
    $output.= '<form role="search" method="get" class="search-form search-form-compact" action="'.get_bloginfo('url').'">';
    $output.= '<label>';
	$output.= '<span class="screen-reader-text">'.__('Search for:', 'ysp-search').'</span>';
	$output.= '<input type="search" class="search-field" placeholder="'.__('Search...', 'ysp-search').'" value="" name="s">';
    $output.= '</label>';
	$output.= '<input type="submit" class="search-submit c-button c-button--color-1" value="'.__('Search', 'ysp-search').'">';
    $output.= '</form>';
    $output.= '</div>';
    return $output;
}